Bug 155595 - [PATCH] lang/guile: update to 1.8.8
[PATCH] lang/guile: update to 1.8.8
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Julien Laffaye
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-16 11:20 UTC by takefu
Modified: 2011-07-31 16:10 UTC (History)
1 user (show)

See Also:


Attachments
guile-1.8.8.patch (3.73 KB, patch)
2011-03-16 11:20 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2011-03-16 11:20:08 UTC

    
Comment 1 Edwin Groothuis freebsd_committer 2011-03-16 11:20:19 UTC
Maintainer of lang/guile,

Please note that PR ports/155595 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/155595

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-03-16 11:20:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 c11h15no2 2011-04-27 00:52:01 UTC
Looks good to me.
Comment 4 Mark Linimon freebsd_committer 2011-04-27 03:33:51 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Sahil Tandon freebsd_committer 2011-05-16 02:16:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

Take.
Comment 6 Sahil Tandon freebsd_committer 2011-05-16 04:36:29 UTC
Please re-submit this patch so that it applies cleanly to the version of
the port currently in CVS.  Thanks.

-- 
Sahil Tandon <sahil@FreeBSD.org>
Comment 7 Sahil Tandon freebsd_committer 2011-05-16 04:37:05 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 8 Mark Linimon freebsd_committer 2011-05-26 14:59:01 UTC
Responsible Changed
From-To: sahil->freebsd-ports-bugs

Return to pool at assignee's request.
Comment 9 takefu 2011-06-14 05:51:40 UTC
diff -ruN /usr/ports/lang/guile/Makefile lang/guile/Makefile
--- /usr/ports/lang/guile/Makefile	2011-06-02 09:58:44.000000000 +0900
+++ lang/guile/Makefile	2011-06-14 13:43:15.000000000 +0900
@@ -6,8 +6,7 @@
 #    $MCom: ports/lang/guile/Makefile,v 1.1 2006/09/12 14:57:06 ahze Exp $

 PORTNAME=	guile
-PORTVERSION=	1.8.6
-PORTREVISION=	6
+PORTVERSION=	1.8.8
 CATEGORIES=	lang scheme
 MASTER_SITES=	${MASTER_SITE_GNU}
 MASTER_SITE_SUBDIR=	guile
@@ -40,8 +39,6 @@

 .include <bsd.port.pre.mk>

-AUTOTOOLSFILES=	aclocal.m4
-
 post-extract:
 	cd ${WRKSRC}; ${CHMOD} u+w ${REINPLACE_FILES}
 	@${FIND} ${WRKSRC}/doc -name "*.info*" -delete
diff -ruN /usr/ports/lang/guile/distinfo lang/guile/distinfo
--- /usr/ports/lang/guile/distinfo	2011-06-02 09:58:44.000000000 +0900
+++ lang/guile/distinfo	2011-03-14 16:03:33.000000000 +0900
@@ -1,2 +1,2 @@
-SHA256 (guile-1.8.6.tar.gz) = 69a2f9491480ff756d1cc4c8ea2bdc13d40ea8ddc8f93f26957bade8219a1d86
-SIZE (guile-1.8.6.tar.gz) = 3960608
+SHA256 (guile-1.8.8.tar.gz) = c3471fed2e72e5b04ad133bbaaf16369e8360283679bcf19800bc1b381024050
+SIZE (guile-1.8.8.tar.gz) = 3956654
diff -ruN /usr/ports/lang/guile/files/patch-configure.in lang/guile/files/patch-configure.in
--- /usr/ports/lang/guile/files/patch-configure.in	2010-07-21 16:56:25.000000000 +0900
+++ lang/guile/files/patch-configure.in	2011-03-14 16:08:39.000000000 +0900
@@ -1,15 +1,15 @@
---- configure.in.orig	2008-12-08 17:42:52.000000000 +0000
-+++ configure.in	2010-03-17 21:41:00.869992126 +0000
-@@ -622,7 +622,7 @@
+--- configure.in.orig	2010-12-14 02:24:39.000000000 +0900
++++ configure.in	2011-03-14 16:08:03.000000000 +0900
+@@ -659,7 +659,7 @@
  #
  AC_CHECK_HEADERS([complex.h fenv.h io.h libc.h limits.h malloc.h memory.h process.h string.h \
  regex.h rxposix.h rx/rxposix.h sys/dir.h sys/ioctl.h sys/select.h \
 -sys/time.h sys/timeb.h sys/times.h sys/stdtypes.h sys/types.h \
 +sys/time.h sys/times.h sys/stdtypes.h sys/types.h \
  sys/utime.h time.h unistd.h utime.h pwd.h grp.h sys/utsname.h \
- direct.h strings.h])
+ direct.h strings.h machine/fpu.h])

-@@ -725,12 +725,13 @@
+@@ -762,6 +762,7 @@
  #   sys/param.h - not in mingw
  #   pthread.h - only available with pthreads.  ACX_PTHREAD doesn't
  #       check this specifically, we need it for the timespec test below.
@@ -17,14 +17,16 @@
  #   sethostname - the function itself check because it's not in mingw,
  #       the DECL is checked because Solaris 10 doens't have in any header
  #   strncasecmp - on NetBSD 1.6 the symbol is available in libc but the
- #       declaration cannot be found
+@@ -779,7 +780,7 @@
+ #   vsnprintf - on AIX 5.3, the declaration is only visible with
+ #       `_XOPEN_SOURCE >= 500' or `_ISOC99_SOURCE'.
  #
 -AC_CHECK_HEADERS(crypt.h netdb.h pthread.h sys/param.h sys/resource.h sys/file.h)
 +AC_CHECK_HEADERS(crypt.h netdb.h pthread.h pthread_np.h sys/param.h sys/resource.h sys/file.h)
  AC_CHECK_FUNCS(chroot flock getlogin cuserid getpriority setpriority getpass sethostname gethostname)
- AC_CHECK_DECLS([sethostname, strncasecmp])
+ AC_CHECK_DECLS([sethostname, strncasecmp, unsetenv, hstrerror, cuserid, flock, vsnprintf])

-@@ -1260,9 +1261,11 @@
+@@ -1298,9 +1299,11 @@
      #         all; not present on MacOS X or Solaris 10
      #     pthread_get_stackaddr_np - "np" meaning "non portable" says it
      #         all; specific to MacOS X
diff -ruN /usr/ports/lang/guile/pkg-plist lang/guile/pkg-plist
--- /usr/ports/lang/guile/pkg-plist	2010-07-21 16:56:25.000000000 +0900
+++ lang/guile/pkg-plist	2011-03-14 16:11:16.000000000 +0900
@@ -129,7 +129,7 @@
 lib/libguile.a
 lib/libguile.la
 lib/libguile.so
-lib/libguile.so.20
+lib/libguile.so.21
 lib/libguilereadline-v-17.a
 lib/libguilereadline-v-17.la
 lib/libguilereadline-v-17.so
Comment 10 Julien Laffaye freebsd_committer 2011-06-19 23:03:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jlaffaye

I'll take it.
Comment 11 dfilter freebsd_committer 2011-07-31 16:07:01 UTC
jlaffaye    2011-07-31 15:06:47 UTC

  FreeBSD ports repository

  Modified files:
    lang/guile           Makefile distinfo pkg-plist 
    lang/guile/files     patch-configure.in 
  Log:
  Update to 1.8.8
  
  PR:             ports/155595
  Submitted by:   Takefu <takefu@airport.fm>
  Approved by:    Amatus <c11h15no2@yahoo.com> (maintainer)
  
  Revision  Changes    Path
  1.85      +1 -4      ports/lang/guile/Makefile
  1.17      +2 -2      ports/lang/guile/distinfo
  1.5       +12 -10    ports/lang/guile/files/patch-configure.in
  1.28      +1 -1      ports/lang/guile/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Julien Laffaye freebsd_committer 2011-07-31 16:08:09 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!